import { Controller, Get, Param, StreamableFile } from '@nestjs/common';
import { FilesService } from "./files.service";

@Controller("files")
export class FilesController {
	constructor(private readonly filesService: FilesService) {}

	//TODO the file name, replace spaces to underscore and deliver it via the response
	@Get(':fileId')
  async getFile(@Param('fileId') fileId: string) {
    return this.filesService.get(fileId);
  }

	//TODO POST FILE

}
